MouseMotionListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Interface MouseMotionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  AWTEventMulticaster, MouseMotionAdapter

    public interface MouseMotionListener

extends EventListener

The listener interface for receiving mouse motion events on a component. (For clicks and other mouse events, use the `MouseListener`.)

The class that is interested in processing a mouse motion event either implements this interface (and all the methods it contains) or extends the abstract `MouseMotionAdapter` class (overriding only the methods of interest).

The listener object created from that class is then registered with a component using the component's `addMouseMotionListener` method. A mouse motion event is generated when the mouse is moved or dragged. (Many such events will be generated). When a mouse motion event occurs, the relevant method in the listener object is invoked, and the `MouseEvent` is passed to it.

Since:
  1.1
Version:
  1.14, 01/23/03
Author:
  Amy Fowler
See Also:
  `MouseMotionAdapter`, `MouseEvent`, Tutorial: Writing a Mouse Motion Listener, Reference: The Java Class Libraries (update file)

Method Summary
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

Method Detail

### mouseDragged

    void mouseDragged(MouseEvent e)

  Invoked when a mouse button is pressed on a component and then dragged. `MOUSE_DRAGGED` events will continue to be delivered to the component where the drag originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).

  Due to platform-dependent Drag&Drop implementations, `MOUSE_DRAGGED` events may not be delivered during a native Drag&Drop operation.

### mouseMoved

    void mouseMoved(MouseEvent e)

  Invoked when the mouse cursor has been moved onto a component but no buttons have been pushed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD